Create an advertiser
curl --request POST \
--url https://thetradedesk.narrativeconnectors.com/advertisers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Auto",
"ttd_id": "8k2m9xq"
}
'import requests
url = "https://thetradedesk.narrativeconnectors.com/advertisers"
payload = {
"name": "Acme Auto",
"ttd_id": "8k2m9xq"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Auto', ttd_id: '8k2m9xq'})
};
fetch('https://thetradedesk.narrativeconnectors.com/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thetradedesk.narrativeconnectors.com/advertisers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Auto',
'ttd_id' => '8k2m9xq'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://thetradedesk.narrativeconnectors.com/advertisers"
payload := strings.NewReader("{\n \"name\": \"Acme Auto\",\n \"ttd_id\": \"8k2m9xq\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://thetradedesk.narrativeconnectors.com/advertisers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Auto\",\n \"ttd_id\": \"8k2m9xq\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://thetradedesk.narrativeconnectors.com/advertisers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Auto\",\n \"ttd_id\": \"8k2m9xq\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3f6c2a9e-8b14-4d07-a5e2-91c0d7b4f6a3",
"company_id": 1634,
"created_at": "2026-09-14T10:21:07Z",
"name": "Acme Auto",
"secret": null,
"ttd_id": "8k2m9xq",
"updated_at": "2026-09-14T10:21:07Z"
}{
"error": "bad_payload",
"error_description": "Missing required field (path: .name)"
}{
"error": "forbidden",
"error_description": "Narrative API authentication error during GET /company-info/whoami"
}{}{
"error": "upstream_error",
"error_description": "Narrative API server error (503) during GET /installations/whoami"
}advertisers
Create an advertiser
POST
/
advertisers
Create an advertiser
curl --request POST \
--url https://thetradedesk.narrativeconnectors.com/advertisers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Auto",
"ttd_id": "8k2m9xq"
}
'import requests
url = "https://thetradedesk.narrativeconnectors.com/advertisers"
payload = {
"name": "Acme Auto",
"ttd_id": "8k2m9xq"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Auto', ttd_id: '8k2m9xq'})
};
fetch('https://thetradedesk.narrativeconnectors.com/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thetradedesk.narrativeconnectors.com/advertisers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Auto',
'ttd_id' => '8k2m9xq'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://thetradedesk.narrativeconnectors.com/advertisers"
payload := strings.NewReader("{\n \"name\": \"Acme Auto\",\n \"ttd_id\": \"8k2m9xq\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://thetradedesk.narrativeconnectors.com/advertisers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Auto\",\n \"ttd_id\": \"8k2m9xq\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://thetradedesk.narrativeconnectors.com/advertisers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Auto\",\n \"ttd_id\": \"8k2m9xq\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3f6c2a9e-8b14-4d07-a5e2-91c0d7b4f6a3",
"company_id": 1634,
"created_at": "2026-09-14T10:21:07Z",
"name": "Acme Auto",
"secret": null,
"ttd_id": "8k2m9xq",
"updated_at": "2026-09-14T10:21:07Z"
}{
"error": "bad_payload",
"error_description": "Missing required field (path: .name)"
}{
"error": "forbidden",
"error_description": "Narrative API authentication error during GET /company-info/whoami"
}{}{
"error": "upstream_error",
"error_description": "Narrative API server error (503) during GET /installations/whoami"
}Body
application/json
Response
OK
Narrative advertiser id.
Narrative company id.
The advertiser's data-rate secret, decrypted.
The Trade Desk advertiser id.
Was this page helpful?

